## InfTextUndoGrouping

InfTextUndoGrouping — Undo grouping for text operations

## Functions

InfTextUndoGrouping * | inf_text_undo_grouping_new ()

## Types and Values

struct | InfTextUndoGrouping
struct | InfTextUndoGroupingClass

## Object Hierarchy

        GObject
        ╰── InfAdoptedUndoGrouping
            ╰── InfTextUndoGrouping

## Includes

    #include <libinftext/inf-text-undo-grouping.h>

## Description

InfTextUndoGrouping handles undo grouping for text operations. It makes sure many insert or delete operations occuring in a row can be undone simultaneousely, taking into account that other users might have issued requests inbetween.

Using this class you don't need to connect to “group-requests” to perform the grouping.

## Functions

### inf_text_undo_grouping_new ()

    InfTextUndoGrouping *
    inf_text_undo_grouping_new (void);

Creates a new InfTextUndoGrouping.

[constructor]

#### Returns

A new InfTextUndoGrouping. To be freed with `g_object_unref()`.

[transfer full]

## Types and Values

### struct InfTextUndoGrouping

    struct InfTextUndoGrouping;

InfTextUndoGrouping is an opaque data type. You should only access it via the public API functions.

### struct InfTextUndoGroupingClass

    struct InfTextUndoGroupingClass {
    };

## See Also

InfAdoptedUndoGrouping